System76 Driver

System76, Inc.
Copyright System76, Inc.
Released under the GNU General Public License version 2 (See LICENSE)

Version 3.2.7

1.) Fix wireless and bluetooth hotkey bug on the lemu4
    panp9, gazp7, gazp8 in Ubuntu 13.04

--------------------------------------

Version 3.2.6

1.) Replace gksu with gksudo for compatibility
2.) driverscontrol.py - Remove brightness key fix for 13.04 - No longer necessary.
    misc.py - Update WiFi performance fix with better description.

--------------------------------------

Version 3.2.5

1.) base_system.py - Remove horizontal scrolling from 13.04
    Remove Inline Debian packaging to simplfy package creation.

--------------------------------------

Version 3.2.4

1.) Add Ubuntu 13.04 support

--------------------------------------

Version 3.2.3

1.) Add new Bonobo Extreme Model (bonx6)

--------------------------------------

Version 3.2.2

1.) Add new Sable Complete model sabc1
2.) Install linux-headers on all systems in Ubuntu 12.10 (expect netbooks). This enables,
    installation of nVidia drivers, card readers, finger print readers, vmware and other
    dependent modules.

--------------------------------------

Version 3.2.1

1.) Fix lightdm startup race condition on ratp1, wilp9, leox3
    lemu4, gazp7, gazp8, panp9. Applies to Ubuntu 12.04 and 12.10.
2.) Add gazp8 model

--------------------------------------

Version 3.2.0

1.) Add Ubuntu 12.10 support
2.) Fix minor bug throwing apport errors

--------------------------------------

Version 3.0.0

1.) interface on Ubuntu 11.10 and later to use GTK3
2.) Clean up core logic for GTK3 version
3.) Add details pane showing what drivers will be installed. 

--------------------------------------

Version 2.7.6

1.) Add new Gazelle Professional (gazp7)

--------------------------------------

Version 2.7.5

1.) Add new Ratel Performance ratp1
2.) Add new Wild Dog Performance
3.) Move rts_bpp realtek module install directory to /usr/src

--------------------------------------

Version 2.7.4

1.) Fix Lemur Ultra (lemu1) brightness keys in 12.04

--------------------------------------

Version 2.7.3

1.) Add new Lemur Ultra (lemu4) and Pangolin Performance (panp9)
2.) Add Ubuntu 12.04 support

--------------------------------------
Version 2.7.2

1.) Add new Leopard Extreme model - leox3

--------------------------------------

Version 2.7.1

1.) Fix Starling Netbook (star1) Ubuntu 11.10 support

--------------------------------------

Version 2.7.0

1.) Fix Lemur Ultra (lemu2) runtime error (bug defining systemname)

--------------------------------------

Version 2.6.9

1.) Add Ubuntu 11.10 support
2.) Add Lemur Ultra (lemu3)

--------------------------------------

Version 2.6.8

1.) Add new Meerkat Ion model (ment5)

--------------------------------------

Version 2.6.7

1.) Add new Wildebeest Performance (wilb2) model
2.) Add new Ratel Ultra (ratu2) model (unreleased)

--------------------------------------

Version 2.6.6

1.) Add new Pangolin Performance (panp8) model

--------------------------------------

Version 2.6.5

1.) Fix Bonobo (bonp5) headphone detection and speaker mute

--------------------------------------
Version 2.6.4

1.) Change app icon to white "76" instead of alpha
2.) Add Bonobo pro (bonp5) model
3.) In Ubuntu 11.04 configure two finger scrolling on supported touchpads

--------------------------------------

Version 2.6.3

1.) Add initial Ubuntu 11.04 support
2.) Change app icon to .svg
3.) Fix PCIe ASPM bug on serp7 and gazp6 (Ethernet connection
    problems when AC is unplugged. Potential system freeze
    when AC is plugged in while Ethernet is plugged in)

--------------------------------------

Version 2.6.2

1.) Add new Wild Dog (wilp8), Leopard Extreme (leox2), and Starling Netbook (star5)

--------------------------------------

Version 2.6.1

1.) Add Gnome theme race condition fix to the serp6 and wilb1 models

--------------------------------------

Version 2.6.0

1.) Add new serp7 and gazp6 models

--------------------------------------

Version 2.5.9

1.) Complete new 17" Bonobo Pro (bonp4)
2.) Fix suspend and hibernate on the Serval Pro (serp6)

--------------------------------------

Version 2.5.8

1.) Complete new 17" Bonobo Pro (bonp4)
2.) Fix suspend and hibernate on the Serval Pro (serp6)

--------------------------------------

Version 2.5.8

1.) Add new Starling Netbook (star4)
2.) Add initial support for the new 17" Bonobo Pro (bonp4)

--------------------------------------

Version 2.5.7

1.) Remove uvc code update for Ubuntu 10.10 on the lemu1, lemu2
    and serp6. Code is now included in 10.10.
2.) Removed SD Card + Suspend patch for Ubuntu 10.10. Fixed in
    distro.

--------------------------------------

Version 2.5.6

1.) Add initial Ubuntu 10.10 support
2.) Fix Starling Edubook BIOS recognition

--------------------------------------

Version 2.5.5

1.) Fix typo in driverscontrol.py. Typo cause a drivers install
    error on some models

--------------------------------------

Version 2.5.4

1.) Fix typo in driverscontrol.py. Typo cause a drivers install
    error on the lemu1

--------------------------------------

Version 2.5.3

1.) Add 2nd Gen Lemur UltraThin (lemu2)
2.) Change Lemur series camera driver installation
    so that the driver is automatically reinstalled
    whenever a new kernel-headers package is installed

--------------------------------------

Version 2.5.2

1.) Add 2nd Gen Starling Netbook (star3)

--------------------------------------

Version 2.5.1

1.) Fix model designation problem on star2 (stopped driver
    from running with certain BIOS's)

--------------------------------------

Version 2.5.0

1.) Fix dependency problem (build-essential) when installing wireless
    drivers on the Starling Netbook (model star1)
2.) Fix SD Card reader in Ubuntu 10.04 on star1
3.) Add patch to wake up Starling Edubook (model star2)
    Synaptic touchpad when resuming from suspend

--------------------------------------

Version 2.4.9

1.) Fix missing cheese and repository install on lemu1 restore

--------------------------------------

Version 2.4.8

1.) Add Ratel Ultra (ratu1)

--------------------------------------

Version 2.4.7

1.) Add Ubuntu 10.04 support

--------------------------------------
Version 2.4.6

1.) Add new Meerkat NetTop (ment3)
2.) Add jme patch for panp7 and bonp3. Installs jme module
    version 1.0.5 and scripts to update when new kernels
    are installed. Effects panp7 and bonp3 with quad core
    CPUs

--------------------------------------

Version 2.4.5

1.) Add new Pangolin Performance (panp7)
2.) Add new Bonobo Performance (bonp3)

--------------------------------------

Version 2.4.4

1.) Fix Starling Ultra (star1) wireless in Ubuntu 9.10

--------------------------------------

Version 2.4.3

1.) Add new serp6 model
2.) Add new wilp7 model

--------------------------------------

Version 2.4.2

1.) Fix Lemur NIC on Ubuntu 64bit w 4GB
2.) Remove brightness hotkey fix for bonp2 in 9.10

--------------------------------------

Version 2.4.0

1.) Starling Netbook (star1) Ubuntu 9.10 (Karmic) patches
2.) Lemur UltraThin webcam fix

--------------------------------------

Version 2.3.9

1.) Add Pangolin Performance 6 (panp6)
2.) Add Karmic support
3.) Add Wildebeest Performance desktop (wilb1)
4.) Add Lemur Ultrathin laptop (lemu1)

--------------------------------------

Version 2.3.7

1.) Extend wireless range for the Starling Netbook (star1)
2.) Fix wireless LED on Starling Netbook (star1)
3.) Add Leopard Extreme info

--------------------------------------

Version 2.3.6

1.) Add --assume-yes to fix linux-backports-modules installation

--------------------------------------

Version 2.3.5

1.) Fix Bonobo (bonp2) brightness hot keys
2.) Add linux-backports to certain nVidia based laptops on 9.04
    (panp4n, panp5, bonp2, serp5)
    (fixes shutdown freeze bug using nVidia 180 driver)

--------------------------------------

Version 2.3.4

1.) Add Starling Netbook (star1)

--------------------------------------

Version 2.3.3

1.) Add command line restore and install driver options
2.) Remove some info from system info tab (CPU, HD, Mem)
3.) Change startup script from bash to python
4.) Add syslog to support archive
5.) Add Jaunty support

--------------------------------------

Version 2.3.2

1.) Add new Meerkat NetTop system
2.) Add Pangolin update (panp5)
3.) Add new Bonobo 17"

--------------------------------------

Version 2.3.1

1.) Fix daru1 touchpad on/off hotkey
2.) Re-add cheese during restore. Fixed upstream
3.) Add new Wild Dog Performance wilp6

--------------------------------------

Version 2.3.0

1.) Reverse Direct Rendering w/ Suspend on fix daru3 (2.2.9) - fixed in Ubuntu
2.) Add quirks=2 to uvcvideo load on gazu3 (fixes webcam)

--------------------------------------

Version 2.2.9

1.) Fix Suspend with Direct Rendering on daru3

--------------------------------------

Version 2.2.8

1.) Support ATI card video playback on wilp5
2.) Add proposed gazu1 model

--------------------------------------

Version 2.2.7

1.) Manufacturing Update

--------------------------------------

Version 2.2.6

1.) Add System76 Bonobo Pro (bonp2)
2.) Add System76 Serval Pro (serp5)
3.) Fix system designation for one Pangolin panv2 where the MB had been replaced
4.) Update Linux UVC code
5.) Add Ubuntu Intrepid to System76Driver.py (no system patches applied yet)

--------------------------------------

Version 2.2.5

1.) Fix panp4 mic and sound after resume LP #264516

--------------------------------------

Version 2.2.4

1.) Add new Pangolin Performance (panp4) and Darter Ultra (daru3)

--------------------------------------

Version 2.2.3

1.) Add new Ratel Value (ratv6)

--------------------------------------

Version 2.2.2

1.) Fix missing () in driverscontrol
2.) Update Ubuntu version detection for upcoming 8.04.1 release

--------------------------------------

Version 2.2.1

1.) [hardy] fix sound on resume from suspend LP Bug #223742
    (serp3) (serp4) (gazp5) (gazv5) (panv3)
2.) Install linux-backports-modules-hardy to fix the wireless
    LED on Intel based cards LP Bug #223874

--------------------------------------

Version 2.2.0

1.) Version bump for Hardy release

--------------------------------------

Version 2.1.9

1.) Fix nVidia installation on restore (command changed in Hardy)

--------------------------------------

Version 2.1.8

1.) Add Hardy support.
2.) Restore adds gnucash, gnucash-docs, and system76-driver. nVidia
and gsynaptics are installed if appropriate.
3.) Remove system76 repo from sources.list and add via sources.list.d/system76.list

--------------------------------------

Version 2.1.7

1.) Add kernel line parameter ec_intr=0 to menu.lst on daru2 under
Ubuntu 7.10.  Fixes acpi battery indication.
2.) Update acpi-support on Ubuntu 7.10 for models daru1, daru2,
gazp1, gazp2, gazp3, gazp5, gazv2, gazv3, gazv4.
3.) Fix usplash bug after restoring a nVidia based system with Ubuntu
7.10 64 bit from standard Ubuntu disk.  This fix was built into 
manufacturing images but not applied when customer restored from disk.

--------------------------------------

Version 2.1.6

1.) Add new system76 serval model serp4

--------------------------------------

Version 2.1.5

1.) Add new system76 model ratv5

--------------------------------------

Version 2.1.4

1.) Add new system76 models wilp5, sabv3, ratv4

--------------------------------------

Version 2.1.3

1.) Clean out legacy unnecessary drivers
2.) Add checks for running package managers
3.) Fix Darter (daru2) brightness increase/decrease
4.) Sound imporovments:
	a.) sound drivers are now provided by alsa-modules package
	rather than compiled into kernel (kernel update doesn't break sound)
	b.) provide a clean /etc/modprobe.d/alsa-base file where necessary

--------------------------------------

Version 2.1.2

1.) Fix bug effecting serp3 sound
2.) Fix DSDT tables on Darter (better power managment)
3.) Do not install Alsa on daru2 - only add targa-dig for headphone jacksense

--------------------------------------

Version 2.1.1

1.) Fix Gutsy upgrade bug on Gazelle Value (gazv3)

--------------------------------------

Version 2.1.0

1.) Complete Ubuntu 7.10 Gutsy support for all computers
2.) Add support tab and create log archive

--------------------------------------

Version 2.0.10

1.) Add new Gazelle Value (gazv5) model
2.) Add uvc camera driver for new Gazelle Value (gazv5)
3.) Fix some file permissions problems (menu icon)
4.) Add SD card reader support for Pangolin (panv3) and Gazelle (gazv5)

--------------------------------------

Version 2.0.9

1.) Fix Darter Headphone Sensing Bug #130669
2.) Improve Darter (daru2) battery monitor Bug #130739
    Fixes buggy DSDT table in BIOS - installs via initrd.img

--------------------------------------

Version 2.0.8

1.) Add new Serval Performance (serp3) (incomplete)
2.) Add initial gutsy support

--------------------------------------

Version 2.0.7

1.) Add new Pangolin Value (panv3)

--------------------------------------

Version 2.0.6

1.) Add new Darter Ultra (daru2)

--------------------------------------

Version 2.0.5

1.) Fix Suspend on all laptops (gazv4 still buggy)
2.) Fix gazv3 suspend Bug #108253
3.) Fix nVidia rotation Bug #118854
4.) Fix Darter Feisty Suspend and LCD Brightness on Resume Bug #114675
5.) Fix network-manager wireless interface recognition after resume
6.) Fix Darter (daru1) FN+F8 monitor switching Bug #116107
7.) Remove build-essential dependency fixing bug #121405

--------------------------------------

Version 2.0.4

1.) Apply update for gazp3 motherboard change

--------------------------------------

Version 2.0.3

1.) Add usb audio device support to systems requiring sound
    Fixes bug #110321

--------------------------------------

Version 2.0.2

1.) Fix ata driver problem with daru1, gazv3, gazv4

--------------------------------------

Version 2.0.1

1.) Add Feisty sound support to gazv3
2.) Add Feisty sound support to gazp1
3.) Fix variable bug drivers.py/driverscontrol.py
4.) Fix Suspend in Gazelle Value

--------------------------------------

Version 2.0.0

1.) Add Feisty sound support for gazp2 & gazp3 front speakers

--------------------------------------

Version 1.9.95

1.) Add support for Kubuntu
2.) Add new Wild Dog Professional (wilp3)

--------------------------------------

Version 1.9.94

1.) Major re-write
2.) Implement System Information tab
3.) Separate drivers and restore task
4.) Bug fixes
5.) Move to GLADE
